#pragma once

#include <maps/wikimap/mapspro/services/mrc/libs/db/include/eye/hypothesis.h>

#include <maps/libs/http/include/url.h>

namespace maps::mrc::eye {

class FeedbackUrlResolver {
public:
    explicit FeedbackUrlResolver(const http::URL& socialUrl);

    std::string url(db::eye::HypothesisType type) const;

private:
    http::URL socialUrl_;
};

} // namespace maps::mrc::eye
